Generate Upload URL
Generate a URL for uploading a file containing measurements to the platform in preparation for the measurements it contains to be ingested:
- An upload URL is returned together with an upload job id:
- You can then upload your data measurements file using a
PUTrequest using the returned upload URL as the endpoint. - You can use the returned upload job id with other calls to the File Upload Service for any follow-up or troubleshooting.
Important:
- The
contentLengthrequest parameter is required. - The upload URL is time limited - it is valid for one minute.
Part of the file upload service for submitting measurements data files.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the Organization. The Organization represents your company as a direct customer of the m3ter platform.
Body
Request containing the file details when generating an upload URL.
The name of the measurements file to be uploaded.
1 - 100The media type of the entity body sent, for example: "contentType":"text/json".
NOTE: Currently only a JSON formatted file type is supported by the File Upload Service.
application/json, text/json 1 - 20The size of the body in bytes. For example: "contentLength": 485, where 485 is the size in bytes of the file to upload.
NOTE: Required.
1 <= x <= 1073741824